import { Request, Response } from "express"
import * as TEMPLATE_NAME_service from "../Services/TEMPLATE_NAME.service"

export async function post({ body }: Request, res: Response) {
  try {
    await TEMPLATE_NAME_service.insertOne(body)

    res.json({ message: `insert into TEMPLATE_NAME` })
  } catch (error: any) {
    res.status(error.status ?? 400).json({ message: error.message ?? `problem to insert into TEMPLATE_NAME` })
  }
}
export async function get(_req: Request, res: Response) {
  try {
    const response = await TEMPLATE_NAME_service.getAll()

    res.json({ message: `get all from TEMPLATE_NAME`, data: response })
  } catch (error: any) {
    res.status(error.status ?? 400).json({ message: error.message ?? `problem get all from TEMPLATE_NAME` })
  }
}
